- entityDefinitions:
  - IDI_Task_ViewCalculateDateMethod: '{e483b84f-72b5-4f1d-be47-1af903f899c9}'
  - IDI_Task_EditCalculateDateMethod: '{1ed7dd20-8d48-48ac-a857-5099233caefa}'
  - IDE_CalculateDateMethod_View: '{33d25a81-ceaa-41a5-8dbf-0973908a5961}'
  - IDE_CalculateDateMethod_Edit: '{e83811c5-fdb9-42ee-9b44-654f256986e2}'
  - IDE_CalculateDateMethod_Definition: '{07b474bb-1003-427d-b54e-8b2d0dc43003}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - sequenceTask: '&IDI_Task_ViewCalculateDateMethod;'
    name: 'View CD - Calculate Date Method'
    initiatingElement: '&IDE_CalculateDateMethod_View;'
    taskCategory: '&IDI_TaskCategory_CalculateDateMethod;'

  - sequenceTask: '&IDI_Task_EditCalculateDateMethod;'
    name: 'Edit CD - Calculate Date Method'
    initiatingElement: '&IDE_CalculateDateMethod_Edit;'
    taskCategory: '&IDI_TaskCategory_CalculateDateMethod;'

  - element: '&IDE_CalculateDateMethod_View;'
    name: 'view cd'
    elementContents:
    - globalIdentifier: '{497de805-c5ca-4461-9c87-63acd8161acd}'
      defaultDataType: '&IDE_Method_Common_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
    - globalIdentifier: '{85a2c388-746d-4d6e-b955-5888d350f921}'
      defaultDataType: '&IDE_CalculateDateMethod_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_CalculateDateMethod_Definition;'
    name: 'cd subedit'
    label: 'Return'
    elementContents:
    - globalIdentifier: '{3390e3d4-e937-46bd-b3c4-109814f4dfe8}'
      defaultDataType: '&IDR_Get_Attribute_Method__returns__Attribute;'
      label: 'Returns Attribute'
      order: a

  - element: '&IDE_CalculateDateMethod_Edit;'
    name: 'edit cd'
    elementContents:
    - globalIdentifier: '{6c6b5f35-c721-4248-a07b-b67433f1d2ed}'
      defaultDataType: '&IDE_Method_Common_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
    - globalIdentifier: '{4236dd80-af87-4438-ba53-0440b8a05a37}'
      defaultDataType: '&IDE_CalculateDateMethod_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
